{"id":23822,"date":"2020-07-03T17:00:20","date_gmt":"2020-07-03T16:00:20","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=23822"},"modified":"2022-10-05T07:03:00","modified_gmt":"2022-10-05T06:03:00","slug":"enabling-agent-transfer-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/enabling-agent-transfer-api\/","title":{"rendered":"Enabling Agent Transfer API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>This API is used to configure the Botkit Url, App, and events.<\/p>\n<table style=\"width: 100%;border-collapse: collapse;background-color: #fffbea\">\n<tbody>\n<tr>\n<td style=\"width: 100%\"><strong>Note<\/strong>: To use this API, app needs the XO Platform API scope of <em>BotKit<\/em>.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<h2><span class=\"ez-toc-section\" id=\"Syntax\">Syntax:<\/span><\/h2>\n<p><strong>PUT <\/strong><code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/sdkSubscription<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Environment URL, for example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td>Bot ID or Stream ID. You can access it from the assistant&#8217;s General Settings page.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"i\">\u00a0<\/span><\/h3>\n<h3><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>connectorEnabled<\/td>\n<td>To enable connector (optional)<\/td>\n<\/tr>\n<tr>\n<td>PIIMaskingDisabledForAgentTransfer<\/td>\n<td>To disable PII masking (optional).<\/td>\n<\/tr>\n<tr>\n<td>sdkClientId<\/td>\n<td>Client Id to be associated with the SDK bot kit<\/td>\n<\/tr>\n<tr>\n<td>sdkHostUri<\/td>\n<td>SDK host URL<\/td>\n<\/tr>\n<tr>\n<td>subscribedFor<\/td>\n<td>\n<p>array of events that need to be subscribed for<\/p>\n<p>&#8220;<em>onAgentTransfer<\/em>&#8221; is mandatory here.<\/p>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h2>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h2>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X PUT \\\r\n   https:\/\/{{host}}\/api\/bot\/{{BotID}}\/sdkSubscription' \\  \r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n  -d '{\r\n       \"connectorEnabled\": false, \/\/ optional\r\n       \"PIIMaskingDisabledForAgentTransfer\": false, \/\/optional\r\n       \"sdkClientId\": \"cs-xxxxx-xxxx-xxxx-xxxx-xxxxx\",\r\n       \"sdkHostUri\": \"https:\/\/example.ngrok.io\",\r\n       \"subscribedFor\": [             \r\n\t   \"onMessage\",\r\n\t   \"onHook\",\r\n\t   \"onEvent\",\r\n\t   \"onAlert\",\r\n\t   \"onVariableUpdate\",\r\n           \"onAgentTransfer\"\r\n\t]}'\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre>&lt;Bot info object&gt;<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"This API is used to configure the Botkit Url, App, and events. Note: To use this API, app needs the XO Platform API scope of BotKit. Syntax: PUT https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/sdkSubscription Query Parameters Parameter Description host Environment URL, for example, https:\/\/bots.kore.ai BotID Bot ID or Stream ID. You can access it from the assistant's General Settings page....","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-23822","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/23822","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=23822"}],"version-history":[{"count":8,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/23822\/revisions"}],"predecessor-version":[{"id":48148,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/23822\/revisions\/48148"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=23822"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=23822"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=23822"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}